html {
  scroll-snap-type: y mandatory;
  scroll-behavior: smooth;
}

section {
  scroll-snap-align: start;
}

body {
  margin: 0;
  font-family: "Space Grotesk", sans-serif;
  background-color: #101820;
}
  

a{
  text-decoration: none;
}


.background-overlay {
  content: "";
  background-image: url("../images/bggg.jpg");
  background-size: cover;
  background-position: center;
  top: 0;
  opacity: 0;
  left: 0;
  bottom: 0;
  width:100%;
  filter: brightness(100%) saturate(0%) ;
 
  position: absolute;
  z-index: -1;
}

header {
  position: fixed;
  width: 100%;
  padding: 15px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 999;
}

header img {
  max-width: 100px;
}


#logo {
  width: 3%;
  margin-left: 4.2%;
  margin-top: 0.5rem;
  cursor: pointer;
}



#contact-me {
  width: 140px;
  margin-top: -0.1px;
  padding-top: 1rem;
  cursor: pointer;
}

#objC {
  max-width: 100%;
}

h2 {
  font-size: 1.5rem;
  text-align: center;
  color: white;
}

.intro {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

#obj {
  width: 40%;
}

#design {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  padding-top: 30%;
  font-size: 150%;
  font-family: "Space Grotesk", sans-serif;
}

#typewriter {
  color: #ffba10;
}

#cursor {
  color: #ffba10;
}

/* About Section */

#about {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  visibility: hidden;
  height: 100vh;
  background-color: #101820;
  position: fixed;
  top: 0;
 z-index: 100;
    cursor: url('../images/closeSide.svg'), auto;


}


.aboutHead {
  font-size: 80px;
  font-weight: bold;
  width: 50%;
  text-align: center; 
}

.aboutTxt {
  width: 50%;
  text-align: justify;
  text-align-last: center;
  margin-top: 40px; 
}

#objOffice{
  width: 70%;
  position: absolute;
  bottom: -100px;
  filter: blur(2px);
  left: 50%;
  transform: translateX(-50%); /
}



#aboutId {
  color: white;
  cursor: pointer;
}



/* //Phone Nav */

#phoneNav{
  position: absolute;
    right: 0;
    top: 0;
    background-color: #0c1f2f;
    height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 10%;
  transform: translateX(500px);
  min-width: 28%;
  max-width: 50%;
}

#phoneNav a{
  color: #fff;
  text-decoration: none;
 padding-left: 20%;
  margin-top: 2rem;
  font-size: 120%;
   width: 100%;
   
 
}
#phoneNav a:hover{
  color: #ffba10;
    transition: .4s ease-in-out;
}

#objC1{
  max-width: 40%;
  min-width: 30%;
}

.navOverlay{
  width: 100%;
  position: absolute;
  height: 100vh;
  top:0;
  left: 0;
  visibility: hidden;
  opacity: 0;
  background: #0c1f2f68;
  z-index: -1;
}

#sliderOpen{
  max-width: 1.5%;
  padding-right: 4%;
}
#closeSide{

  position: absolute;
  top: 0;
  right: 0;
  max-width: 6%;
  margin-top: 15%;
  margin-right: 30%;
  
}


header object{
  cursor: pointer;
}





/* Cards CSS */
#projects {
  width: 100%;
  height: auto;
  padding-bottom: 4rem;
}

#projects h2 {
  color: #ffba10;
  font-size: 20pt;
  font-weight: 700;
  text-align: center;
  margin-top: 8%;
  padding-top: 50px;
  overflow: hidden;
}

.card {
  width: 100%;
  display: flex;
  justify-content: center;

  margin-left: -3%;
}

.cards {
  width: 65%;
  display: flex;
  flex-wrap: wrap;
  gap: 1.09%;
     margin-top: 10%;
  justify-content: space-around;
}

.projcard {
  overflow: hidden;
  transition: all 0.5s;
  width: 32%;
  margin-bottom: 1.9%;
  height: 240px;
  background-color: white;
  background-size: cover;
  background-position: center;
  transition: all 0.5s;
  transform: translateX(50px);
    opacity: 0  ;
}

/* Add overlay and "View Project" box styles */
.overlay {

  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #101820ce; /* Semi-transparent white overlay */
  opacity: 0;
  transition: opacity 0.3s ease;
  display: flex;
  justify-content: center;
  z-index: 100000;
  align-items: center;
  text-align: center;
}

.projcard:hover .overlay {
  opacity: 1;
}

.view-project {
  cursor: pointer;
  width: 6rem;
  text-decoration: none;
  color: #ffffff;
  padding: 10px 20px;
  border: 2px solid #ffffff;
  background-color: #ffba10;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.projcard:hover .view-project {
  opacity: 1;
  transform: translateY(0);
}

.card1 {
  background-image: url(../images/motionVideos/motionthumbnailk.png);
}

.card2 {
  background-image: url(../images/africompassion/afri.png); 
 
}

.card3 {
  background-image: url(../img/card3a.jpg);
}

.card4 {
  background-image: url(../images/africompassion/);
}

.card5 {
  background-image: url(../images/NeoTreak_shoe_Screen_Saver.jpg);
}

.card6 {
  background-image: url(../img/card6.jpg);
}

.card7 {
  background-image: url(../images/foe.jpg);
}

.card8 {
  background-image: url(../images/gameScreen.jpg);
}

.card9 {
  background-image: url(../img/card8.jpg);
}

.projfooter {
  display: flex;
  z-index: 1;
  height: 80px;
  width: 100%;
  bottom: 0;
}

.cardtitle {
  font-weight: 700;
  padding-top: 5px;
}

.info {
  background-color: white;
  font-weight: 500;
  width: 100%;
  height: 92%;
  color: #0c1f2f;
  font-size: 11.5pt;
  padding: 10px 20px 10px 20px;
  transform: translateY(240px);
  transition: transform 0.5s cubic-bezier(0.31, 1.21, 0.64, 1.02);
}

/* back button css */

#back {
  position: relative;
  text-decoration: none;
}

#back::before {
  content: '\2190';
  position: absolute;

  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

#back:hover::before {
  opacity: 1;
  transform: translateX(-20px);
}

#back:hover {
  transition: 0.5s ease;
  color: #ffba10;
}


.projlinks {
  width: 20.8%;
  height: 240px;
  position: absolute;
  z-index: 100;
}



.the-salutation {
  margin: 6vh auto;
  width: 30rem;
  height: auto;
  flex-shrink: 0;
color: white;
  font-size: 1.75rem;
  font-weight: 400;
}
/* //C animation css */

#cAni{
  padding-top: 5rem;
  width: 100%;
}


/* end */

/* contact css */
#contact {
  width: 100%;
  height: 90vh;
  padding-top: 10%;


}

#contact h2 {
  color: #ffba10;
  font-size: 18pt;
  font-weight: 700;
  text-align: center;
  margin-top: 1%;
  padding-top: 50px;
  width: 100%;
}

.contactsec {
  display: flex;
  flex-direction: column;
  align-items: center; /* Center content horizontally */

  padding-bottom: 100px;
    border: 4px solid white;
}

.contactsec2 {
  display: flex;
  justify-content: space-around;
  width: 70%;
  margin-top: 60px;
}

.contactleft {
  width: 50%;
}

#formright{
  color: white;
  width: 30%;
}

input, textarea {
  margin: 0;
  padding-bottom:  10%;
  border: none;
  font: inherit;
  text-decoration: none;
  color: inherit;
  background-color: transparent;
}

input, textarea {
  border-bottom: 1.5px solid rgb(255, 255, 255);
  display: inline-block;
  padding-bottom:  30%;
}


.form-field{
  width: 10%;
  padding-bottom: 13%;
}

.tooltiptext {
  
  visibility: hidden;

  color: red;
  text-align: center;
  border-radius: 0.25rem;
  padding: 0.25rem;

  position: absolute;
  
}

#send {
  /* Remove default styles */
  appearance: none;
  font-weight: bolder;
  border: 1.5px solid white;
  margin: 0;
  padding: 1rem 2rem;
  background: none;
  color: inherit;
  font: inherit;
  text-align: inherit;
  cursor: pointer;
  transition: .4s ease;
  /* Add your custom styles here */
}
#send:hover {
    background-color: #ffba10;
    color: #0c1f2f;
}


/* end */

#footer{
  text-align: center;
  padding: 2rem 0;
  font-weight: lighter;
  color: white;
}
#footer h3{

  font-weight: lighter;
}



/****** For Tablet: ******/

@media only screen and (min-width: 601px) and (max-width: 768px) {
  #logo {
    width: 6%;
  }
 

  .cards {
    
    width:60%;
  }

  #sliderOpen{
    max-width: 4%;
  }

  #phoneNav{
  width: 50%;
  }

  .projcard {
    margin-bottom: 15px;
    width: 200px;
    height: 150px;
    
    background-color: white;
    background-size: 100%;
  }

  .cardtitle {
    font-size: 9pt;
    padding-top: 0;
    font-weight: 700;
  }

  .cardtext {
    font-size: 8pt;
  }
}

/****** For Mobile: ******/

@media only screen and (max-width: 600px) {
  #logo {
    width: 8%;
  }

  #cAni{
    padding-top: 2rem;
    width: 100%;
  }

  #contact h2 {
    
    font-size: 16pt;
    
  }

  .form-field{
    
    padding-bottom: 50%;
  }
  .contactleft {
    width:70%;
  }

  .contactsec2 {
    margin-top: 10px;
    flex-direction: column-reverse;
  }
  
  .vertical-text{
    display: none;
  }
  
  #sliderOpen{
    max-width: 4%;
    margin-right: 6%;
  }
  #closeSide{
    visibility: visible;
    
  }

  #phoneNav{
    width: 50%;
  }



  #design {
    padding-top: 80%;
    font-size: 120%;
  }

  #projects {
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin-top: 13%;
  }

  #projects h2 {
    width: 100%;
    font-size: 16pt;
  }

  .card {
    margin-left: 0;
    margin-left: -13%;
    justify-content: center;
    align-items: center;
  }


  .projcard {
    margin-left: 0;
    margin-bottom: 15px;
    width: 280px;
    height: 180px;
    background-size: 100%;
  }

  .cardtitle {
    font-size: 9pt;
    padding-top: 0;
  }

  .cardtext {
    font-size: 8pt;
  }

  .info {
    padding: 8px 20px 10px 20px;
    transform: translateY(135px);
  }

  .projlinks {
    width: 280px;
    height: 180px;
    z-index: 0;
  }

  #objOffice{
    filter: blur(.3px) ;
    width: 100%;
    padding-bottom: 3rem;
  }
}
